> This page is for Developer.

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.bigcommerce.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.bigcommerce.com/_mcp/server.

# Update Customer Settings per Channel

PUT https://api.bigcommerce.com/stores/{store_hash}/v3/customers/settings/channels/{channel_id}
Content-Type: application/json

Update the customer settings per channel

**Required Fields**

* `channel_id`: Provide a `channel_id` array containing one or more channel IDs. Customers will have access to these channels and no others. This array cannot be empty.

**Notes**

* Setting `null` will delete override per given channel, and values will be inherited from the global level. Make sure the channel has `allow_global_logins` enabled.

Reference: https://docs.bigcommerce.com/developer/api-reference/rest/admin/management/customers/v3/channel-settings/update-customers-settings-channel

## Authentication

- `X-Auth-Token` header (required) — ### OAuth scopes | UI Name | Permission | Parameter | |:--------|:-----------|:----------| | Customers | modify | `store_v2_customers` | | Customers | read-only | `store_v2_customers_read_only` | | Stored Payment Instruments | modify | `store_stored_payment_instruments` | | Stored Payment Instruments | read-only | `store_stored_payment_instruments_read_only` | ### Authentication header | Header | Argument | Description | |:-------|:---------|:------------| | `X-Auth-Token` | `access_token` | For more about API accounts that generate `access_token`s, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#api-accounts). | ### Further reading For example requests and more information about authenticating BigCommerce APIs, see [Authentication and Example Requests](/developer/docs/overview/api-fundamentals/api-accounts#x-auth-token-header-example-requests). For more about BigCommerce OAuth scopes, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#oauth-scopes). For a list of API status codes, see [API Status Codes](/developer/api-reference/rest/overview#rest-http-status-codes).

## Request

### Path parameters

- `channel_id` (integer, required) — The ID of the channel.
- `store_hash` (string, required) — Permanent ID of the BigCommerce store.

### Body (application/json)

This endpoint expects a CustomerChannelSettingsObject.

- `privacy_settings` (CustomerChannelSettingsObjectPrivacySettings, optional) — Controls the privacy settings.
- `customer_group_settings` (CustomerChannelSettingsObjectCustomerGroupSettings, optional) — The settings for a collection of customers.
- `allow_global_logins` (boolean, optional) — * Determines if a channel allows global customer to login * Determines if customers created on this channel will get global access/login

## Response

### 200

Customer settings are returned.

- `data` (CustomerSettingsObject, optional) — Customer Settings.
- `meta` (CustomersSettingsChannelsChannelIdPutResponsesContentApplicationJsonSchemaMeta, optional)

## Types

### CustomerChannelSettingsObjectPrivacySettings

Controls the privacy settings.

- `ask_shopper_for_tracking_consent` (boolean, optional) — Determines if a customer requires consent for tracking privacy.
- `policy_url` (string, optional) — The URL for a websiteʼs privacy policy.

### CustomerChannelSettingsObjectCustomerGroupSettings

The settings for a collection of customers.

- `guest_customer_group_id` (integer, optional) — The ID for a guest customer group.
- `default_customer_group_id` (integer, optional) — The ID for a default customer group.

### CustomerSettingsObject

Customer Settings.

- `privacy_settings` (CustomerSettingsObjectPrivacySettings, optional) — Controls the privacy settings.
- `customer_group_settings` (CustomerSettingsObjectCustomerGroupSettings, optional) — The settings for a collection of customers.

### CustomersSettingsChannelsChannelIdPutResponsesContentApplicationJsonSchemaMeta

### CustomerSettingsObjectPrivacySettings

Controls the privacy settings.

- `ask_shopper_for_tracking_consent` (boolean, optional) — Determines if a customer requires consent for tracking privacy.
- `policy_url` (string, optional) — The URL for a websiteʼs privacy policy.

### CustomerSettingsObjectCustomerGroupSettings

The settings for a collection of customers.

- `guest_customer_group_id` (integer, optional) — The ID for a guest customer group.
- `default_customer_group_id` (integer, optional) — The ID for a default customer group.

## Examples

**Request**

```json
{
  "privacy_settings": {
    "ask_shopper_for_tracking_consent": true,
    "policy_url": "https://bigcommerce.com/policy"
  },
  "customer_group_settings": {
    "guest_customer_group_id": 0,
    "default_customer_group_id": 0
  },
  "allow_global_logins": true
}
```

**Response**

```json
{
  "allow_global_logins": true,
  "customer_group_settings": {
    "default_customer_group_id": 0,
    "guest_customer_group_id": 0
  },
  "privacy_settings": {
    "ask_shopper_for_tracking_consent": true,
    "ask_shopper_for_tracking_consent_on_checkout": null,
    "policy_url": "https://bigcommerce.com/policy"
  }
}
```

**SDK Code**

```python Update channel customer settings
import requests

url = "https://api.bigcommerce.com/stores/store_hash/v3/customers/settings/channels/1"

payload = {
    "privacy_settings": {
        "ask_shopper_for_tracking_consent": True,
        "policy_url": "https://bigcommerce.com/policy"
    },
    "customer_group_settings": {
        "guest_customer_group_id": 0,
        "default_customer_group_id": 0
    },
    "allow_global_logins": True
}
headers = {
    "X-Auth-Token": "<apiKey>",
    "Content-Type": "application/json"
}

response = requests.put(url, json=payload, headers=headers)

print(response.json())
```

```javascript Update channel customer settings
const url = 'https://api.bigcommerce.com/stores/store_hash/v3/customers/settings/channels/1';
const options = {
  method: 'PUT',
  headers: {'X-Auth-Token': '<apiKey>', 'Content-Type': 'application/json'},
  body: '{"privacy_settings":{"ask_shopper_for_tracking_consent":true,"policy_url":"https://bigcommerce.com/policy"},"customer_group_settings":{"guest_customer_group_id":0,"default_customer_group_id":0},"allow_global_logins":true}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Update channel customer settings
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.bigcommerce.com/stores/store_hash/v3/customers/settings/channels/1"

	payload := strings.NewReader("{\n  \"privacy_settings\": {\n    \"ask_shopper_for_tracking_consent\": true,\n    \"policy_url\": \"https://bigcommerce.com/policy\"\n  },\n  \"customer_group_settings\": {\n    \"guest_customer_group_id\": 0,\n    \"default_customer_group_id\": 0\n  },\n  \"allow_global_logins\": true\n}")

	req, _ := http.NewRequest("PUT", url, payload)

	req.Header.Add("X-Auth-Token", "<apiKey>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Update channel customer settings
require 'uri'
require 'net/http'

url = URI("https://api.bigcommerce.com/stores/store_hash/v3/customers/settings/channels/1")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Put.new(url)
request["X-Auth-Token"] = '<apiKey>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"privacy_settings\": {\n    \"ask_shopper_for_tracking_consent\": true,\n    \"policy_url\": \"https://bigcommerce.com/policy\"\n  },\n  \"customer_group_settings\": {\n    \"guest_customer_group_id\": 0,\n    \"default_customer_group_id\": 0\n  },\n  \"allow_global_logins\": true\n}"

response = http.request(request)
puts response.read_body
```

```java Update channel customer settings
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.put("https://api.bigcommerce.com/stores/store_hash/v3/customers/settings/channels/1")
  .header("X-Auth-Token", "<apiKey>")
  .header("Content-Type", "application/json")
  .body("{\n  \"privacy_settings\": {\n    \"ask_shopper_for_tracking_consent\": true,\n    \"policy_url\": \"https://bigcommerce.com/policy\"\n  },\n  \"customer_group_settings\": {\n    \"guest_customer_group_id\": 0,\n    \"default_customer_group_id\": 0\n  },\n  \"allow_global_logins\": true\n}")
  .asString();
```

```php Update channel customer settings
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('PUT', 'https://api.bigcommerce.com/stores/store_hash/v3/customers/settings/channels/1', [
  'body' => '{
  "privacy_settings": {
    "ask_shopper_for_tracking_consent": true,
    "policy_url": "https://bigcommerce.com/policy"
  },
  "customer_group_settings": {
    "guest_customer_group_id": 0,
    "default_customer_group_id": 0
  },
  "allow_global_logins": true
}',
  'headers' => [
    'Content-Type' => 'application/json',
    'X-Auth-Token' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp Update channel customer settings
using RestSharp;

var client = new RestClient("https://api.bigcommerce.com/stores/store_hash/v3/customers/settings/channels/1");
var request = new RestRequest(Method.PUT);
request.AddHeader("X-Auth-Token", "<apiKey>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"privacy_settings\": {\n    \"ask_shopper_for_tracking_consent\": true,\n    \"policy_url\": \"https://bigcommerce.com/policy\"\n  },\n  \"customer_group_settings\": {\n    \"guest_customer_group_id\": 0,\n    \"default_customer_group_id\": 0\n  },\n  \"allow_global_logins\": true\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift Update channel customer settings
import Foundation

let headers = [
  "X-Auth-Token": "<apiKey>",
  "Content-Type": "application/json"
]
let parameters = [
  "privacy_settings": [
    "ask_shopper_for_tracking_consent": true,
    "policy_url": "https://bigcommerce.com/policy"
  ],
  "customer_group_settings": [
    "guest_customer_group_id": 0,
    "default_customer_group_id": 0
  ],
  "allow_global_logins": true
] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.bigcommerce.com/stores/store_hash/v3/customers/settings/channels/1")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "PUT"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```